Bug 106816 - dhcp problems
dhcp problems
Status: CLOSED WORKSFORME
Product: Red Hat Linux Beta
Classification: Retired
Component: pump (Show other bugs)
beta2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-10 16:42 EDT by Mike McLean
Modified: 2007-04-18 12:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-30 15:10:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McLean 2003-10-10 16:42:55 EDT
* Severn-re0.95.4 (and others)

the installer seems to be having trouble with dhcp negotations.  While it is
possible that the dhcp server on hank is at fault, the fact that this is
happening  more often with Severn trees (and more often in the installer that
post-install) makes me think that perhaps pump is to blame.

Here is a bit of syslog from hank where a test machine failed to get an ip:
Oct 10 16:08:21 hank dhcpd: DHCPOFFER on 192.168.33.22 to 00:50:8b:75:f2:2a via eth0
Oct 10 16:08:21 hank dhcpd: DHCPDISCOVER from 00:50:8b:75:f2:2a via eth0
Oct 10 16:08:21 hank dhcpd: DHCPOFFER on 192.168.33.22 to 00:50:8b:75:f2:2a via eth0
Oct 10 16:08:21 hank dhcpd: DHCPDISCOVER from 00:50:8b:75:f2:2a via eth0
Oct 10 16:08:21 hank dhcpd: DHCPOFFER on 192.168.33.22 to 00:50:8b:75:f2:2a via eth0
Oct 10 16:08:21 hank dhcpd: DHCPDISCOVER from 00:50:8b:75:f2:2a via eth0
Oct 10 16:08:21 hank dhcpd: DHCPOFFER on 192.168.33.22 to 00:50:8b:75:f2:2a via eth0
Oct 10 16:08:21 hank dhcpd: DHCPDISCOVER from 00:50:8b:75:f2:2a via eth0
Oct 10 16:08:21 hank dhcpd: DHCPOFFER on 192.168.33.22 to 00:50:8b:75:f2:2a via eth0
Oct 10 16:08:21 hank dhcpd: DHCPDISCOVER from 00:50:8b:75:f2:2a via eth0
Oct 10 16:08:22 hank dhcpd: DHCPOFFER on 192.168.33.22 to 00:50:8b:75:f2:2a via eth0
Oct 10 16:08:22 hank dhcpd: DHCPDISCOVER from 00:50:8b:75:f2:2a via eth0
Oct 10 16:08:22 hank dhcpd: DHCPOFFER on 192.168.33.22 to 00:50:8b:75:f2:2a via eth0
Oct 10 16:08:22 hank dhcpd: DHCPDISCOVER from 00:09:6b:49:55:54 via eth0
Oct 10 16:08:22 hank dhcpd: DHCPOFFER on 192.168.33.32 to 00:09:6b:49:55:54 via eth0
Oct 10 16:08:22 hank dhcpd: DHCPDISCOVER from 00:50:8b:75:f2:2a via eth0
Oct 10 16:08:22 hank dhcpd: DHCPOFFER on 192.168.33.22 to 00:50:8b:75:f2:2a via eth0


And here is the bit of syslog from the later (successful) dhcp request of the
same machine:

Oct 10 16:22:21 hank dhcpd: DHCPDISCOVER from 00:50:8b:75:f2:2a via eth0
Oct 10 16:22:21 hank dhcpd: DHCPOFFER on 192.168.33.22 to 00:50:8b:75:f2:2a via eth0
Oct 10 16:22:21 hank dhcpd: DHCPDISCOVER from 00:50:8b:75:f2:2a via eth0
Oct 10 16:22:21 hank dhcpd: DHCPOFFER on 192.168.33.22 to 00:50:8b:75:f2:2a via eth0
Oct 10 16:22:21 hank dhcpd: DHCPREQUEST for 192.168.33.22 (192.168.32.1) from
00:50:8b:75:f2:2a via eth0
Oct 10 16:22:21 hank dhcpd: DHCPACK on 192.168.33.22 to 00:50:8b:75:f2:2a via eth0
Comment 1 Mike McLean 2003-10-10 17:13:02 EDT
scratch that -- post install Severn systems are also having all sorts of trouble
with dhcp.
Comment 2 Mike McLean 2003-10-30 15:10:40 EST
This seems to have mysteriously disappeared.  Closing....

Note You need to log in before you can comment on or make changes to this bug.